### Method

# CM Pusher check_valid

since: 0.0.1

#### Declaration [src]

    void
    cm_pusher_check_valid (
      CmPusher* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Checks if the given pusher is valid. For http pushers this means checking the remote endpoint.

Available since: 0.0.1

This method completes asynchronously. Use `cm_pusher_check_valid_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The user data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.